Name:          emerillon
Version:       0.1.2
Release:       10%{?dist}
Summary:       A map viewer for GNOME

Group:         User Interface/Desktops
License:       GPLv2+ and LGPLv2+
URL:           http://projects.gnome.org/emerillon/
Source0:       ftp://ftp.gnome.org/pub/gnome/sources/%{name}/0.1/%{name}-%{version}.tar.bz2

BuildRequires: ethos-devel
BuildRequires: gtk2-devel
BuildRequires: GConf2-devel
BuildRequires: geoclue-devel
BuildRequires: libchamplain-gtk-devel
BuildRequires: rest-devel
BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: gnome-doc-utils
BuildRequires: gtk-doc
BuildRequires: vala-devel
BuildRequires: vala-tools

# Require until stable tar ball release
BuildRequires: libtool
BuildRequires: gnome-common

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description
Emerillon is a map viewer for GNOME that has an extensible plugin architecture
and Telepathy integration to enable app and location sharing and display of 
friends locations.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%package vala
Summary: Vala Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description vala
Files for vala development with %{name}.

%prep
%setup -q

sed -i 's#rest-0.6 >= 0.6#rest-0.7 >= 0.7#' configure.ac
sed -i 's#champlain-0.6#champlain-0.8#' configure.ac
sed -i 's#champlain-gtk-0.6#champlain-gtk-0.8#'	configure.ac

# Require until stable tar ball release
NOCONFIGURE=yes ./autogen.sh

%build
%configure --disable-static --enable-introspection=no
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=%{buildroot} INSTALL='install -p'

%find_lang %{name}

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%pre
if [ "$1" -gt 1 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
%{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :

%preun
if [ "$1" -eq 0 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS NEWS
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}

%files devel
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/%{name}/
%{_includedir}/%{name}*/
%{_libdir}/pkgconfig/%{name}.pc

%files vala
%defattr(-,root,root,-)
%{_datadir}/vala/vapi/%{name}.*

%changelog
* Wed Sep 29 2010 Tom "spot" Callaway <tcallawa@redhat.com> 0.1.2-10
- rebuild against new clutter-gtk

* Mon Sep 27 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.2-9
- recompile against new rest again :-)

* Thu Aug  5 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.2-8
- recompile against new rest

* Fri Jul 23 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.2-7
- add new documentation and help

* Fri Jul 23 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.2-6
- disable introspection because ethos introspection is broken

* Wed Jul 21 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.2-5
- Update dependencies for vala bindings

* Mon Jul 12 2010 Matthias Clasen <mclasen@redhat.com> 0.1.2-3
- Rebuild against new libchamplain

* Tue Jul  6 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.2-2
- Fix spelling mistake

* Tue Jul  6 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.2-2
- Bump build

* Tue Jun 29 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.2-1
- New upstream 0.1.2 release, drop upstreamed patches

* Sun Jan 10 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.1-2
- Re-enable search plugin

* Sun Jan 10 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.1-1
- New upstream 0.1.1 release, drop upstreamed patches

* Sat Jan  9 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.0-6
- A few minor updates

* Wed Dec 23 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-5
- Fix typo

* Tue Dec 22 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-4
- Further updates review bits

* Fri Dec 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-3
- Updated license to GPLv2 after confirmation from upstream

* Fri Dec 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-2
- Fix detection of new rest library, desktop file and license

* Thu Oct 15 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-1
- Initial packaging
